import { h } from '../webmapgl.core.js';

function getMap(id) {
    return document.querySelector((id) ? `gl-map#${id}` : 'gl-map');
}
function getThumbnail(item) {
    if (item.image)
        return (h("ion-thumbnail", { slot: "start" },
            h("img", { src: item.image })));
}
function toArray(value, sep = ',') {
    if (!value)
        return [];
    if (Array.isArray(value))
        return value;
    return value.split(sep);
}

export { getMap as a, toArray as b, getThumbnail as c };
